Package ch.qos.logback.core.net

## Class SyslogOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - ch.qos.logback.core.net.SyslogOutputStream

All Implemented Interfaces:
  `java.io.Closeable`, `java.io.Flushable`, `java.lang.AutoCloseable`

    public class SyslogOutputStream
    extends java.io.OutputStream

SyslogOutputStream is a wrapper around the `DatagramSocket` class so that it behaves like an `OutputStream`.

### Constructor Summary

Constructors
`SyslogOutputStream​(java.lang.String syslogHost, int port)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `flush()`
`int` `getPort()`
`void` `write​(byte[] byteArray, int offset, int len)`
`void` `write​(int b)`

### Methods inherited from class java.io.OutputStream

`nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SyslogOutputStream

    public SyslogOutputStream​(java.lang.String syslogHost,
                              int port)
                       throws java.net.UnknownHostException,
                              java.net.SocketException

Throws:
  `java.net.UnknownHostException`
  `java.net.SocketException`

### Method Detail

#### write

    public void write​(byte[] byteArray,
                      int offset,
                      int len)
               throws java.io.IOException

Overrides:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### flush

    public void flush()
               throws java.io.IOException

Specified by:
  `flush` in interface `java.io.Flushable`
Overrides:
  `flush` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in interface `java.io.Closeable`
Overrides:
  `close` in class `java.io.OutputStream`

#### getPort

    public int getPort()

#### write

    public void write​(int b)
               throws java.io.IOException

Specified by:
  `write` in class `java.io.OutputStream`
Throws:
  `java.io.IOException`